Bug 200680 - if share name and directory name in the share are the same, first instance of cd'ing into the directory goes to share root
if share name and directory name in the share are the same, first instance of...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-30 15:00 EDT by Tom k
Modified: 2014-06-18 03:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-10 00:27:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom k 2006-07-30 15:00:24 EDT
Description of problem:

I think this started happening during the last couple of samba auto-updates. 
First I was forced to change my clients from smbfs to cifs, then the latest 
"a" release broke the clients being able to read.  Somewhere during that time
this started happening.

The problem:  If I have a samba public share (//netfs/public -> /public), and I
have a directory under the share with the same share name (/public/www/public/)
the first time I cd into the directory, it takes me to the root directory of the

For example, I have the directory "temp" in the public directory.  I should be
able to get to the directory by doing a "cd /public/www/public/temp/".  But that
does not work.  Instead I have to do a "cd /public/www/public/www/public/temp".

If it makes a difference, I mount the smb share with autofs.

Version-Release number of selected component (if applicable):

[root@tigger log]# grep samba yum.log 
Jul 15 04:39:39 Updated: samba-common.i386 3.0.23-1.fc4
Jul 15 04:39:44 Updated: samba-client.i386 3.0.23-1.fc4
Jul 15 04:51:01 Updated: samba.i386 3.0.23-1.fc4
Jul 27 06:18:58 Updated: samba-common.i386 3.0.23a-1.fc4.1
Jul 27 06:19:24 Updated: samba-client.i386 3.0.23a-1.fc4.1
Jul 27 06:19:35 Updated: samba.i386 3.0.23a-1.fc4.1

How reproducible:


Steps to Reproduce:
1. create a share with name X
2. mount the share
3. create a directory under the share www/X
4. cd into the directory "X/www/X"
5. list directory (ls)
Actual results:

root directory of share is shown

Expected results:

contents of directory should be shown

Additional info:

shares are mounted via autofs and are public/guest/writable.
Comment 1 Christian Iseli 2007-01-19 19:28:30 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 Simo Sorce 2007-03-15 09:53:16 EDT
This is a CIFS VFS related issue, moving to kernel.
Comment 3 petrosyan 2008-03-10 00:27:17 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.